%global momorel 1

%define date_version 060110
%define cbq_version v0.7.3

Summary: Advanced IP routing and network device configuration tools.
Name: iproute
Version: 2.6.15
Release: %{momorel}m
Group: Applications/System
Source: http://developer.osdl.org/dev/iproute2/download/iproute2-%{version}-%{date_version}.tar.gz
NoSource: 0
URL:	http://linux-net.osdl.org/index.php/Iproute2
Patch1: iproute2-2.4.7-rt_config.patch
Patch2: iproute2-2.6.9-kernel.patch
Patch5: iproute2-ss050901-opt_flags.patch
Patch7: iproute2-051007-add_tunnel.patch

License: GPL
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: tetex-latex tetex-dvips psutils linuxdoc-tools db4-devel bison

%description
The iproute package contains networking utilities (ip and rtmon, for
example) which are designed to use the advanced networking
capabilities of the Linux 2.4.x and 2.6.x kernel.

%prep
%setup -q -n iproute2-%{version}-%{date_version}
%patch1 -p1
%patch2 -p1 -b .kernel
%patch5 -p1 -b .opt_flags
%patch7 -p1 -b .tunnel_add

%build
make
make -C doc

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

mkdir -p %{buildroot}/sbin \
 	 %{buildroot}%{_sbindir} \
         %{buildroot}%{_mandir}/man8 \
         %{buildroot}/etc/iproute2 \
	 %{buildroot}%{_libdir}/tc

install -m 755 ip/ip ip/ifcfg ip/rtmon tc/tc %{buildroot}/sbin
install -m 755 misc/ss misc/nstat misc/rtacct misc/lnstat misc/arpd %{buildroot}%{_sbindir}
install -m 755 tc/q_netem.so %{buildroot}%{_libdir}/tc
install -m 644 netem/normal.dist netem/pareto.dist netem/paretonormal.dist %{buildroot}%{_libdir}/tc
install -m 644 man/man8/*.8 %{buildroot}/%{_mandir}/man8
install -m 755 examples/cbq.init-%{cbq_version} %{buildroot}/sbin/cbq
install -d -m 755 %{buildroot}/etc/sysconfig/cbq

cp -f etc/iproute2/* %{buildroot}/etc/iproute2
rm -rf %{buildroot}/%{_libdir}/debug/*

#create example avpkt file
cat <<EOF > %{buildroot}/etc/sysconfig/cbq/cbq-0000.example
DEVICE=eth0,10Mbit,1Mbit
RATE=128Kbit
WEIGHT=10Kbit
PRIO=5
RULE=192.168.1.0/24
EOF

cat <<EOF > %{buildroot}/etc/sysconfig/cbq/avpkt
AVPKT=3000
EOF


%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%dir /etc/iproute2
%doc README.decnet README.iproute2+tc RELNOTES examples/README.cbq
%doc doc/*.ps examples
/sbin/*
%{_mandir}/man8/*
%attr(644,root,root) %config(noreplace) /etc/iproute2/*
%{_sbindir}/*
%{_libdir}/tc/*
/sbin/cbq
%dir /etc/sysconfig/cbq
%config(noreplace) /etc/sysconfig/cbq/*

%changelog
* Sun May  7 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (2.6.15-1m)
- version up
- based on fc-devel

* Tue Dec 16 2004 Mitsuru Shimamura <smbd@momonga-linux.org>
- (2.4.7-8m)
- [SECURITY] CAN-2003-0856
  iproute 2.4.7 and earlier allows local users to cause a denial of service via spoofed messages as other users to the kernel netlink interface. 

* Fri Sep 24 2004 Shotaro Kamio <skamio@momonga-linux.org>
- (2.4.7-7m)
- add patch8 for kernel 2.6

* Fri Jul  9 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.7-6m)
- add BuildRequires: momonga-rpmmacros >= 20040310-6m
- change _ipv6 to usagi_ipv6

* Sun Nov  9 2003 Masaru SANUKI <sanuki@hh.iij4u.or.jp>
- (2.4.7-5m)
- use %%{momorel}

* Sat May 18 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (2.4.7-4k)
- add usagi patch

* Sun May 12 2002 Toru Hoshina <t@kondara.org>
- (2.4.7-2k)
- ver up.

* Sat Jun 23 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.2.4-16k)
- add iproute-2.2.4-kernel-2.4.4.patch for kernel 2.4.4

* Wed Mar  7 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.2.4-14k)
- rebuild against disable IPv6 environment

* Tue Nov 28 2000 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- remake Patch1

* Fri Oct 27 2000 Kenichi Matsubara <m@kondara.org>
- add BuildPrereq: dvipsk

* Mon Aug 07 2000 Toru Hoshina <t@kondara.org>
- Kodaraized.

* Tue Jul 25 2000 Jakub Jelinek <jakub@redhat.com>
- fix include-glibc/ to cope with glibc 2.2 new resolver headers

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun Jun 18 2000 Than Ngo <than@redhat.de>
- rebuilt in the new build environment
- use RPM macros
- handle RPM_OPT_FLAGS

* Sat Jun 03 2000 Than Ngo <than@redhat.de>
- fix iproute to build with new glibc

* Fri May 26 2000 Ngo Than <than@redhat.de>
- update to 2.2.4-now-ss000305
- add configuration files

* Mon Sep 13 1999 Bill Nottingham <notting@redhat.com>
- strip binaries

* Mon Aug 16 1999 Cristian Gafton <gafton@redhat.com>
- first build
